Debian Codegraph @

api-ref/source/v2/rating/modules.inc

raw
1 =======================
2 Rating modules endpoint
3 =======================
4
5 Get the list of modules
6 =======================
7
8 Returns the list of all rating modules loaded. This method does not require any
9 parameter.
10
11 .. rest_method:: GET /v2/rating/modules
12
13 Status codes
14 ------------
15
16 .. rest_status_code:: success http_status.yml
17
18 - 200
19
20 .. rest_status_code:: error http_status.yml
21
22 - 400
23 - 401
24 - 403
25
26 Response
27 --------
28
29 .. rest_parameters:: rating/modules_parameters.yml
30
31 - modules: modules_list
32
33 Response Example
34 ----------------
35
36 .. literalinclude:: ./api_samples/rating/modules_list_get.json
37 :language: javascript
38
39 Get one module
40 ==============
41
42 Returns the details of one specific module. This method does not require any
43 parameter.
44
45 .. rest_method:: GET /v2/rating/modules/<module_id>
46
47 Status codes
48 ------------
49
50 .. rest_status_code:: success http_status.yml
51
52 - 200
53
54 .. rest_status_code:: error http_status.yml
55
56 - 400
57 - 401
58 - 403
59 - 404
60
61 Response
62 --------
63
64 .. rest_parameters:: rating/modules_parameters.yml
65
66 - module_id: module_id
67 - description: description
68 - enabled: enabled
69 - hot_config: hot_config
70 - priority: priority
71
72 Response Example
73 ----------------
74
75 .. literalinclude:: ./api_samples/rating/module_get.json
76 :language: javascript
77
78 Update one module
79 =================
80
81 .. rest_method:: PUT /v2/rating/modules/(module_id)
82
83 .. rest_parameters:: rating/modules_parameters.yml
84
85 - enabled: enabled_opt
86 - priority: priority_opt
87
88 Status codes
89 ------------
90
91 .. rest_status_code:: success http_status.yml
92
93 - 204
94
95 .. rest_status_code:: error http_status.yml
96
97 - 400
98 - 401
99 - 403
100 - 404
101
102 Response
103 --------
104
105 .. rest_parameters:: rating/modules_parameters.yml
106
107 - module_id: module_id
108 - description: description
109 - enabled: enabled
110 - hot_config: hot_config
111 - priority: priority